#include <iostream>

using namespace std;

int vreme=0;

void raspored(int a[],int b,int n){
	int udaljenost=n;
	int p,indikator=0;
	for(int i=b-1;i>=0;i--){
		if(a[i]==0){
			udaljenost=b-i;
			p=i;
			break;
		}
	}
	for(int i=b+1;i<n;i++){
		if(a[i]==0){
			indikator=1;
			if(udaljenost>i-b){
				a[i]++;
				a[b]--;
				vreme+=i-b;
			}
			else{
				a[p]++;
				a[b]--;
				vreme+=udaljenost;
			}
			break;
		}
	}
	if(indikator==0){
		a[p]++;
		a[b]--;
		vreme+=udaljenost;
	}
}

int main(){
	int n;
	cin>>n;
	int a,b,kolone[n],redovi[n];
	for(int i=0;i<n;i++){
		kolone[i]=0;
		redovi[i]=0;
	}
	for(int i=0;i<n;i++){
		cin>>a;
		kolone[a-1]++;
		cin>>b;
		redovi[b-1]++;
	}
	for(int i=0;i<n;i++){
		if(kolone[i]>1){
			while(kolone[i]>1){
			raspored(kolone,i,n);
			}
		}
		if(redovi[i]>1){
			while(redovi[i]>1){
				raspored(redovi,i,n);
			}
		}
	}
	cout<<vreme;
}